Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.charts
Class ScatterChart

    java.lang.Object
      umontreal.iro.lecuyer.charts.XYChart
          umontreal.iro.lecuyer.charts.ScatterChart

    public class ScatterChart

extends XYChart

Extends `XYChart`. This class provides additional tools to create and manage scatter plots. Using the `ScatterChart` class is the simplest way to produce scatter plots only. Each `ScatterChart` object is linked with a `XYListSeriesCollection` data set.

Constructor Summary
`ScatterChart()` Initializes a new `ScatterChart` instance with an empty data set.
`ScatterChart(String title, String XLabel, String YLabel, double[][]... data)` Initializes a new `ScatterChart` instance with data `data`.
`ScatterChart(String title, String XLabel, String YLabel, double[][] data, int numPoints)` Initializes a new `ScatterChart` instance with sets of points `data`.
`ScatterChart(String title, String XLabel, String YLabel, double[][] data, int x, int y)` Initializes a new `ScatterChart` instance using subsets of `data`.
`ScatterChart(String title, String XLabel, String YLabel, DoubleArrayList... data)` Initializes a new `ScatterChart` instance with data `data`.
`ScatterChart(String title, String XLabel, String YLabel, org.jfree.data.xy.XYSeriesCollection data)` Initializes a new `ScatterChart` instance with data `data`.

Method Summary
`int` | `add(double[] x, double[] y)` Adds a data series into the series collection.
`int` | `add(double[] x, double[] y, int numPoints)` Adds a data series into the series collection.
`int` | `add(double[] x, double[] y, String name, String plotStyle)` Adds a data series into the series collection.
`XYListSeriesCollection` | `getSeriesCollection()` Returns the chart's dataset.
`void` | `setSeriesCollection(XYListSeriesCollection dataset)` Links a new dataset to the current chart.
`void` | `setTicksSynchro(int s)` Synchronizes X-axis ticks to the s-th series x-values.
`String` | `toLatex(double width, double height)` Exports the chart to a LATEX source code using PGF/TikZ.
`JFrame` | `view(int width, int height)` Displays chart on the screen using Swing.

Methods inherited from class umontreal.iro.lecuyer.charts.XYChart
`disableGrid, enableGrid, getChartMargin, getJFreeChart, getTitle, getXAxis, getYAxis, setAutoRange, setAutoRange, setChartMargin, setLatexDocFlag, setManualRange, setManualRange, setTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScatterChart

    public ScatterChart()

  Initializes a new `ScatterChart` instance with an empty data set.

### ScatterChart

    public ScatterChart(String title,
                        String XLabel,
                        String YLabel,
                        double[][]... data)

  Initializes a new `ScatterChart` instance with data `data`. `title` is a title, `XLabel` is a short description of the x-axis and `YLabel` a short description of the y-axis. The input parameter `data` represents sets of plotting data.

  For example, if one n-row matrix `data1` is given as argument `data`, then the first row `data1`[0] represents the x-coordinate vector, and every other row `data1` [i], i = 1,…, n - 1, represents the y-coordinates of a set of points. Therefore matrix `data1` corresponds to n - 1 sets of points, all with the same x-coordinates.

  However, one may want to plot sets of points with different x-coordinates. In that case, one should give the points as matrices with two rows. For examples, if the argument `data` is made of three 2-row matrices `data1`, `data2` and `data3`, then they represents three different sets of points, `data*`[0] giving the x-coordinates, and `data*`[1] the y-coordinates of the points.

  Parameters:
    `title` - chart title.
    `XLabel` - Label on x-axis.
    `YLabel` - Label on y-axis.
    `data` - series of point sets.

### ScatterChart

    public ScatterChart(String title,
                        String XLabel,
                        String YLabel,
                        double[][] data,
                        int numPoints)

  Initializes a new `ScatterChart` instance with sets of points `data`. `title` is a title, `XLabel` is a short description of the x-axis, and `YLabel` a short description of the y-axis. If `data` is a n-row matrix, then the first row `data`[0] represents the x-coordinate vector, and every other row `data` [i], i = 1,…, n - 1, represents a y-coordinate vector. Therefore matrix `data`[i][ ], i = 0,…, n - 1, corresponds to n - 1 sets of points, all with the same x-coordinates. However, only the first `numPoints` of each set `data`[i] (i.e. the first `numPoints` columns of each row) will be plotted.

  Parameters:
    `title` - chart title.
    `XLabel` - Label on x-axis.
    `YLabel` - Label on y-axis.
    `data` - series of point sets.
    `numPoints` - Number of points to plot

### ScatterChart

    public ScatterChart(String title,
                        String XLabel,
                        String YLabel,
                        double[][] data,
                        int x,
                        int y)

  Initializes a new `ScatterChart` instance using subsets of `data`. `data[x][.]` will form the x-coordinates and `data[y][.]` will form the y-coordinates of the chart. `title` sets a title, `XLabel` is a short description of the x-axis, and `YLabel` is a short description of the y-axis. Warning: if the new x-axis coordinates are not monotone increasing, then they will automatically be sorted in increasing order so the points will be reordered, but the original `data` is not changed.

  Parameters:
    `title` - chart title.
    `XLabel` - Label on x-axis.
    `YLabel` - Label on y-axis.
    `data` - series of point sets.
    `x` - Index of data forming the x-coordinates
    `y` - Index of data forming the y-coordinates

### ScatterChart

    public ScatterChart(String title,
                        String XLabel,
                        String YLabel,
                        DoubleArrayList... data)

  Initializes a new `ScatterChart` instance with data `data`. The input parameter `data` represents a set of plotting data. A `DoubleArrayList` from the Colt library is used to store the data. The description is similar to the above constructor with `double[]... data`.

  Parameters:
    `title` - chart title.
    `XLabel` - Label on x-axis.
    `YLabel` - Label on y-axis.
    `data` - series of point sets.

### ScatterChart

    public ScatterChart(String title,
                        String XLabel,
                        String YLabel,
                        org.jfree.data.xy.XYSeriesCollection data)

  Initializes a new `ScatterChart` instance with data `data`. The input parameter `data` represents a set of plotting data. `XYSeriesCollection` is a `JFreeChart` container class to store XY plots.

  Parameters:
    `title` - chart title.
    `XLabel` - Label on x-axis.
    `YLabel` - Label on y-axis.
    `data` - series collection.

Method Detail

### add

    public int add(double[] x,
                   double[] y,
                   String name,
                   String plotStyle)

  Adds a data series into the series collection. Vector `x` represents the x-coordinates and vector `y` represents the y-coordinates of the series. `name` and `plotStyle` are the name and the plot style associated to the series.

  Parameters:
    `x` - xi coordinates.
    `y` - yi coordinates.
    `name` - Name of the series.
    `plotStyle` - Plot style of the series.
  Returns:
    Integer that represent the new point set's position in the JFreeChart `XYSeriesCollection` object.

### add

    public int add(double[] x,
                   double[] y)

  Adds a data series into the series collection. Vector `x` represents the x-coordinates and vector `y` represents the y-coordinates of the series.

  Parameters:
    `x` - xi coordinates.
    `y` - yi coordinates.
  Returns:
    Integer that represent the new point set's position in the JFreeChart `XYSeriesCollection` object.

### add

    public int add(double[] x,
                   double[] y,
                   int numPoints)

  Adds a data series into the series collection. Vector `x` represents the x-coordinates and vector `y` represents the y-coordinates of the series. Only the first `numPoints` of `x` and `y` will be taken into account for the new series.

  Parameters:
    `x` - xi coordinates.
    `y` - yi coordinates.
    `numPoints` - Number of points to add.
  Returns:
    Integer that represent the new point set's position in the JFreeChart `XYSeriesCollection` object.

### getSeriesCollection

    public XYListSeriesCollection getSeriesCollection()

  Returns the chart's dataset.

  Returns:
    the chart's dataset.

### setSeriesCollection

    public void setSeriesCollection(XYListSeriesCollection dataset)

  Links a new dataset to the current chart.

  Parameters:
    `dataset` - new dataset.

### setTicksSynchro

    public void setTicksSynchro(int s)

  Synchronizes X-axis ticks to the s-th series x-values.

  Specified by:
    `setTicksSynchro` in class `XYChart`
  Parameters:
    `s` - series used to define ticks.

### view

    public JFrame view(int width,
                       int height)

  Displays chart on the screen using Swing. This method creates an application containing a chart panel displaying the chart. The created frame is positioned on-screen, and displayed before it is returned. The `width` and the `height` of the chart are measured in pixels.

  Specified by:
    `view` in class `XYChart`
  Parameters:
    `width` - frame width in pixels.
    `height` - frame height in pixels.
  Returns:
    frame containing the chart.;

### toLatex

    public String toLatex(double width,
                          double height)

  Exports the chart to a LATEX source code using PGF/TikZ. This method constructs and returns a string that can be written to a LATEX document to render the plot. `width` and `height` represents the width and the height of the produced chart. These dimensions do not take into account the axes and labels extra space.

  Specified by:
    `toLatex` in class `XYChart`
  Parameters:
    `width` - Chart's width in centimeters.
    `height` - Chart's height in centimeters.
  Returns:
    LaTeX source code.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.